Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.wayf
Class WayfService

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              edu.internet2.middleware.shibboleth.wayf.WayfService

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class WayfService

extends javax.servlet.http.HttpServlet

A servlet implementation of the Shibboleth WAYF service. Allows a browser user to select from among a group of origin sites. User selection is optionally cached and the user is forwarded to the HandleService appropriate to his selection.

See Also:
  Serialized Form

Constructor Summary
`WayfService()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Handle an HTTP GET.
`void` | `init()` Initialize the Discovery Service.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WayfService

    public WayfService()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize the Discovery Service.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - in the case of something bad happening
  See Also:
    `GenericServlet.init()`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)

  Handle an HTTP GET. Just passes out to the appropriate handler.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - described the request.
    `res` - contains the response.
  See Also:
    `HttpServlet.doGet(HttpServletRequest, HttpServletResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2009 Internet2. All Rights Reserved.